Package org.apache.maven.shared.artifact.filter.collection

## Class ScopeFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter
  - - org.apache.maven.shared.artifact.filter.collection.ScopeFilter

All Implemented Interfaces:
  `ArtifactsFilter`

    public class ScopeFilter
    extends AbstractArtifactsFilter

Version:
  $Id: ScopeFilter.java 1716978 2015-11-28 14:47:04Z khmarbaise $
Author:
  Brian Fox

### Constructor Summary

Constructors
`ScopeFilter​(java.lang.String includeScope, java.lang.String excludeScope)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Set<org.apache.maven.artifact.Artifact>` `filter​(java.util.Set<org.apache.maven.artifact.Artifact> artifacts)` This function determines if filtering needs to be performed.
`java.lang.String` `getExcludeScope()`
`java.lang.String` `getIncludeScope()`
`void` `setExcludeScope​(java.lang.String scope)`
`void` `setIncludeScope​(java.lang.String scope)`

### Methods inherited from class org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter

`isArtifactIncluded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopeFilter

    public ScopeFilter​(java.lang.String includeScope,
                       java.lang.String excludeScope)

Parameters:
  `includeScope` - the scope to be included.
  `excludeScope` - the scope to be excluded.

### Method Detail

#### filter

    public java.util.Set<org.apache.maven.artifact.Artifact> filter​(java.util.Set<org.apache.maven.artifact.Artifact> artifacts)
                                                             throws ArtifactFilterException

This function determines if filtering needs to be performed. Excludes are ignored if Includes are used.

Parameters:
  `artifacts` - the set of artifacts to filter.
Returns:
  a Set of filtered artifacts.
Throws:
  `ArtifactFilterException` - when there's an invalid included scope

#### getIncludeScope

    public java.lang.String getIncludeScope()

Returns:
  Returns the includeScope.

#### setIncludeScope

    public void setIncludeScope​(java.lang.String scope)

Parameters:
  `scope` - The includeScope to set.

#### getExcludeScope

    public java.lang.String getExcludeScope()

Returns:
  Returns the excludeScope.

#### setExcludeScope

    public void setExcludeScope​(java.lang.String scope)

Parameters:
  `scope` - The excludeScope to set.